Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi
Interface PinData

All Known Implementing Classes:
  PinDataImp

    public interface PinData

Contains the PIN requirements specified in the Authentication Manager. An application must have this information to prompt the user for a new PIN.

Field Summary
`static int` | `CANNOT_CHOOSE_PIN` getUserSelectable() returns `CANNOT_CHOOSE_PIN` if the user cannot specify the PIN, and must use the system-generated PIN.
`static int` | `MUST_CHOOSE_PIN` getUserSelectable() returns `MUST_CHOOSE_PIN` if the user must create the PIN, and cannot use a system-generated PIN.
`static int` | `USER_SELECTABLE` getUserSelectable() returns `USER_SELECTABLE` if the user can either create a PIN or use the system-generated PIN.

Method Summary
`int` | `getMaxPinLength()` Obtains the maximum PIN size allowed.
`int` | `getMinPinLength()` Obtains the minimum PIN size allowed.
`java.lang.String` | `getSystemPin()` Obtains the system generated PIN.
`int` | `getUserSelectable()` Determines out if the user must create the PIN, if PINs must be system-generated, or if the user can choose either methods of getting a PIN.
`boolean` | `isAlphanumeric()` Determines whether the PIN is alphanumeric or numeric.

Field Detail

### CANNOT_CHOOSE_PIN

    static final int CANNOT_CHOOSE_PIN

  getUserSelectable() returns `CANNOT_CHOOSE_PIN` if the user cannot specify the PIN, and must use the system-generated PIN.

  See Also:
    Constant Field Values

### USER_SELECTABLE

    static final int USER_SELECTABLE

  getUserSelectable() returns `USER_SELECTABLE` if the user can either create a PIN or use the system-generated PIN.

  See Also:
    Constant Field Values

### MUST_CHOOSE_PIN

    static final int MUST_CHOOSE_PIN

  getUserSelectable() returns `MUST_CHOOSE_PIN` if the user must create the PIN, and cannot use a system-generated PIN.

  See Also:
    Constant Field Values

Method Detail

### getMaxPinLength

    int getMaxPinLength()

  Obtains the maximum PIN size allowed.

  Returns:
    maximum PIN size allowed

### getMinPinLength

    int getMinPinLength()

  Obtains the minimum PIN size allowed.

  Returns:
    minimum PIN size allowed

### getSystemPin

    java.lang.String getSystemPin()

  Obtains the system generated PIN.

  Returns:
    PIN that system generates

### isAlphanumeric

    boolean isAlphanumeric()

  Determines whether the PIN is alphanumeric or numeric.

  Returns:
    `true` if the PIN is alphanumeric; `false` if it is numeric only

### getUserSelectable

    int getUserSelectable()

  Determines out if the user must create the PIN, if PINs must be system-generated, or if the user can choose either methods of getting a PIN.

  Returns:
    `CANNOT_CHOOSE_PIN`, `USER_SELECTABLE`, or `MUST_CHOOSE_PIN`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.